Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000098OpenIVArchive editing - IMGpublic2012-02-15 07:092014-08-02 01:06
Reporterdevilgtaiv 
Assigned Todefault 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformPCOSWindows 7 (x64)OS Version6.1.7600
Product Version0.9.4 (build 290, "motion-2") 
Target Version2.1Fixed in Version2.1 
Summary0000098: Sometimes on some PC, crash before loading image
DescriptionCrash before loading image manhat09.img or manhat01.img
Steps To Reproducejust open a img file
Additional Informationonly crash on non original img file


emps: "12:58:31"
Type: "ERangeError"
Message: "Range check error"

Additional information:
  Release: 0.9.4.290 14.02.2012
  Address: "0x004091DE"
  Procedure: "System.DynArraySetLength"
  Unit: "System", Line: "0"

Stack:
[004091D9] System.DynArraySetLength + $25
[00404662] System.ErrorAt + $16
[004046AD] System.Error + $15
[004091D9] System.DynArraySetLength + $25
[00409351] System.@DynArraySetLength + $5
[007BC67F] UI.Window.Main.helper.CMainWindow.BuildArchiveList (Line 1053, "UI.Window.Main.helper.pas" + 32) + $20
[007BA221] UI.Window.Main.helper.CMainWindow.ShowArchiveContent (Line 483, "UI.Window.Main.helper.pas" + 5) + $4
[00783ED5] OpenIV.Core2.TCore2.DoShowArchiveContent (Line 374, "OpenIV.Core2.pas" + 2) + $5
[00784147] OpenIV.Core2.TCore2.OpenArchive (Line 424, "OpenIV.Core2.pas" + 21) + $4
[0094B1BA] OpenIV.TypeLibrary2.RageClasses.CArchiveClass.ExecuteViewAction (Line 56, "OpenIV.TypeLibrary2.RageClasses.pas" + 2) + $22
[00405288] System.TObject.Free + $8
[00870331] UI.System.TActionsModule.actPreviewExecute (Line 1324, "UI.System.pas" + 4) + $B
[007C1C52] UI.Window.Main.RunPreviewAction (Line 435, "UI.Window.Main.pas" + 5) + $F
[007C1CE7] UI.Window.Main.TMainWindow.RunCurrentItemAction (Line 458, "UI.Window.Main.pas" + 7) + $0
[007C1C07] UI.Window.Main.TMainWindow.ExecuteDefaultFileAction (Line 422, "UI.Window.Main.pas" + 17) + $4
[007C1B78] UI.Window.Main.TMainWindow.ArchiveListDblClick (Line 397, "UI.Window.Main.pas" + 0) + $0
[004937E5] Controls.TControl.DblClick + $15
[00493960] Controls.TControl.WMLButtonDblClk + $34
[0049325C] Controls.TControl.WndProc + $2D4
[00497B20] Controls.TWinControl.WndProc + $568
[770F6D8B] Unknown function at GetThreadDesktop + $128
[770F6D4C] Unknown function at GetThreadDesktop + $E9
[770F72B3] Unknown function at GetPropW + $8C
[77130CFE] Unknown function at SetKeyboardState + $F84C
[00497B20] Controls.TWinControl.WndProc + $568
[19603224] Unknown function at GetTeamViewerInterface + $414
[00405A8C] System.TMonitor.Enter + $10
[00405960] System.TMonitor.CheckOwningThread + $4
[00405C36] System.TMonitor.Exit + $22
[00405C6F] System.TMonitor.Exit + $F
[00478BFB] Graphics.FreeMemoryContexts + $9B
[004971C0] Controls.TWinControl.MainWndProc + $2C
[004971D5] Controls.TWinControl.MainWndProc + $41
[00497400] Controls.TWinControl.IsControlMouseMsg + $60
[00497B20] Controls.TWinControl.WndProc + $568
[771090B3] Unknown function at ExcludeUpdateRgn + $16C
[77109088] ExcludeUpdateRgn + $141
[0050A18E] ComCtrls.TCustomListView.WndProc + $A2
[004971C0] Controls.TWinControl.MainWndProc + $2C
[00453ECC] Classes.StdWndProc + $14
[770F62F7] Unknown function at gapfnScSendMessage + $32F
[770F6D35] Unknown function at GetThreadDesktop + $D2
[770F6CE3] Unknown function at GetThreadDesktop + $80
[770F77BF] Unknown function at CharPrevW + $133
[770F7252] GetPropW + $2B
[00538081] Forms.TApplication.StopHintTimer + $15
[770F7885] DispatchMessageW + $A
[00536F1B] Forms.TApplication.ProcessMessage + $F3
[00536F5E] Forms.TApplication.HandleMessage + $A
[00537289] Forms.TApplication.Run + $C9
[008CA935] OpenIV.Application.CProgram.Main (Line 88, "OpenIV.Application.pas" + 13) + $7
[00A1E4E6] OpenIV.OpenIV (Line 253, "OpenIV.dpr" + 11) + $5
[75C53398] BaseThreadInitThunk + $10
[77DF9EF0] Unknown function at RtlInitializeExceptionChain + $61
[77DF9EC0] Unknown function at RtlInitializeExceptionChain + $31
TagsNo tags attached.
GameGrand Theft Auto IV/EfLC
Attached Files

- Relationships

-  Notes
(0000096)
GooD-NTS (administrator)
2014-08-02 01:06

Resolved due to new archives code.

- Issue History
Date Modified Username Field Change
2012-02-15 07:09 devilgtaiv New Issue
2012-02-23 12:19 GooD-NTS Assigned To => GooD-NTS
2012-02-23 12:19 GooD-NTS Priority urgent => normal
2012-02-23 12:19 GooD-NTS Status new => assigned
2012-02-23 12:19 GooD-NTS Target Version => 0.9.4 (build 298, "motion-3")
2012-02-23 12:19 GooD-NTS Summary Crash before loading image => Sometimes on some PC, crash before loading image
2012-03-24 12:21 GooD-NTS Target Version 0.9.4 (build 298, "motion-3") => 2.9
2012-05-17 10:51 GooD-NTS Game GTA IV => Grand Theft Auto IV/EfLC
2014-04-14 11:02 GooD-NTS Assigned To GooD-NTS => default
2014-04-14 11:02 GooD-NTS Status assigned => confirmed
2014-08-02 01:04 GooD-NTS Reproducibility always => sometimes
2014-08-02 01:04 GooD-NTS Status confirmed => assigned
2014-08-02 01:04 GooD-NTS Fixed in Version => 2.1
2014-08-02 01:04 GooD-NTS Target Version 2.9 => 2.1
2014-08-02 01:06 GooD-NTS Note Added: 0000096
2014-08-02 01:06 GooD-NTS Status assigned => resolved
2014-08-02 01:06 GooD-NTS Resolution open => fixed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker